This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 7941 - document.getItems should be restricted to HTMLDocument in DOM intro box, as it does not apply to other types of documents.
Summary: document.getItems should be restricted to HTMLDocument in DOM intro box, as i...
Status: CLOSED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: pre-LC1 HTML Microdata (editor: Ian Hickson) (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: LC
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-17 18:36 UTC by contributor
Modified: 2010-10-05 13:03 UTC (History)
5 users (show)

See Also:


Attachments

Description contributor 2009-10-17 18:36:05 UTC
Section: http://www.whatwg.org/specs/web-apps/current-work/#microdata-dom-api

Comment:
document.getItems should be restricted to HTMLDocument in DOM intro box, as it does not apply to other types of documents.

Posted from: 79.136.63.95
Comment 1 Philip J├Ągenstedt 2009-10-17 18:37:33 UTC
"Posted from: 79.136.63.95"? I was logged in as philipj in the "Specification annotation system", but I suppose that's not enough to associate the bug report with myself?
Comment 2 Ian 'Hixie' Hickson 2009-10-17 19:08:23 UTC
different login systems, sorry
Comment 3 Ian 'Hixie' Hickson 2009-10-21 09:14:59 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: HTMLDocument is implemented by all Documents per HTML5.
Comment 4 Philip J├Ągenstedt 2009-10-21 09:28:47 UTC
Same problem again, because there's no reference (that I can see) in the microdata section which interfaces getItems, properties and itemValue should be implemented on, I missed that it's well defined at http://www.whatwg.org/specs/web-apps/current-work/#htmldocument